From 5b68c6432f5e5ee89bb7cfbd199a3ac5ca544534 Mon Sep 17 00:00:00 2001
From: Timothy E Baldwin <T.E.Baldwin99@members.leeds.ac.uk>
Date: Mon, 7 Oct 2013 17:00:29 +0100
Subject: [PATCH 3/4] Move dependencies to separate files.

---
 mixed/RiscOS/Sources/SystemRes/Internet/Makefile | 23 ++++++++++++++++++++++-
 1 file changed, 22 insertions(+), 1 deletion(-)

diff --git a/mixed/RiscOS/Sources/SystemRes/Internet/Makefile b/mixed/RiscOS/Sources/SystemRes/Internet/Makefile
index ba38d75..defe66d 100644
--- a/mixed/RiscOS/Sources/SystemRes/Internet/Makefile
+++ b/mixed/RiscOS/Sources/SystemRes/Internet/Makefile
@@ -282,30 +282,35 @@ resources-BareMinUtils: ${BAREMINUTILS}
 
 ${SDIR}.arp.ARP: ${SDIR}.arp.c.ARP
         dir ${SDIR}.arp
+        EnsureDepends Depends
         @amu_machine
         @up
         @up
 
 ${SDIR}.ifconfig.IfConfig: ${SDIR}.ifconfig.c.IfConfig
         dir ${SDIR}.ifconfig
+        EnsureDepends Depends
         @amu_machine
         @up
         @up
 
 ${SDIR}.ifrconfig.IfRConfig: ${SDIR}.ifrconfig.c.IfRConfig
         dir ${SDIR}.ifrconfig
+        EnsureDepends Depends
         @amu_machine
         @up
         @up
 
 ${SDIR}.gethost.GetHost: ${SDIR}.gethost.c.gethost
         dir ${SDIR}.gethost
+        EnsureDepends Depends
         @amu_machine
         @up
         @up
 
 ${SDIR}.ipvars.IPVars: ${SDIR}.ipvars.c.ipvars
         dir ${SDIR}.ipvars
+        EnsureDepends Depends
         @amu_machine
         @up
         @up
@@ -316,6 +321,7 @@ ${SDIR}.inetstat.InetStat: ${SDIR}.inetstat.c.main \
         ${SDIR}.inetstat.c.route\
         ${SDIR}.inetstat.c.mroute
         dir ${SDIR}.inetstat
+        EnsureDepends Depends
         @amu_machine
         @up
         @up
@@ -325,6 +331,7 @@ ${SDIR}.map-mbone.Map-MBone: ${SDIR}.map-mbone.c.Map-MBone \
         ${SDIR}.map-mbone.c.inet \
         ${SDIR}.map-mbone.c.kern
         dir ${SDIR}.map-mbone
+        EnsureDepends Depends
         @amu_machine
         @up
         @up
@@ -334,84 +341,98 @@ ${SDIR}.mrinfo.MRInfo: ${SDIR}.mrinfo.c.MRInfo \
         ${SDIR}.mrinfo.c.inet \
         ${SDIR}.mrinfo.c.kern
         dir ${SDIR}.mrinfo
+        EnsureDepends Depends
         @amu_machine
         @up
         @up
 
 ${SDIR}.mtrace.MTrace: ${SDIR}.mtrace.c.MTrace
         dir ${SDIR}.mtrace
+        EnsureDepends Depends
         @amu_machine
         @up
         @up
 
 ${SDIR}.ping.Ping: ${SDIR}.ping.c.Ping
         dir ${SDIR}.ping
+        EnsureDepends Depends
         @amu_machine
         @up
         @up
 
 ${SDIR}.pong.Pong: ${SDIR}.pong.c.Pong
         dir ${SDIR}.pong
+        EnsureDepends Depends
         @amu_machine
         @up
         @up
 
 ${SDIR}.route.Route: ${SDIR}.route.c.Route
         dir ${SDIR}.route
+        EnsureDepends Depends
         @amu_machine
         @up
         @up
 
 ${SDIR}.showstat.ShowStat:
         dir ${SDIR}.showstat
+        EnsureDepends Depends
         @amu_machine 
         @up
         @up
 
 ${SDIR}.sysctl.SysCtl: ${SDIR}.sysctl.c.SysCtl
         dir ${SDIR}.sysctl
+        EnsureDepends Depends
         @amu_machine
         @up
         @up
 
 ${SDIR}.traceroute.TraceRoute: ${SDIR}.traceroute.c.TraceRoute
         dir ${SDIR}.traceroute
+        EnsureDepends Depends
         @amu_machine
         @up
         @up
 
 ${SDIR}.newfiler.NewFiler: ${SDIR}.newfiler.c.NewFiler
         dir ${SDIR}.newfiler
+        EnsureDepends Depends
         @amu_machine
         @up
         @up
 
 ${SDIR}.utils.utl.CheckMem: ${SDIR}.utils.s.CheckMem
         dir ${SDIR}.utils
+        EnsureDepends Depends
         @amu_machine utl.CheckMem
         @up
         @up
 
 ${SDIR}.utils.utl.ReadCMOSIP: ${SDIR}.utils.s.ReadCMOSIP
         dir ${SDIR}.utils
+        EnsureDepends Depends
         @amu_machine utl.ReadCMOSIP
         @up
         @up
 
 ${SDIR}.utils.utl.RMFind: ${SDIR}.utils.s.RMFind
         dir ${SDIR}.utils
+        EnsureDepends Depends
         @amu_machine utl.RMFind
         @up
         @up
 
 ${SDIR}.utils.utl.TriggerCBs: ${SDIR}.utils.s.TriggerCBs
         dir ${SDIR}.utils
+        EnsureDepends Depends
         @amu_machine utl.TriggerCBs
         @up
         @up
 
 ${SDIR}.utils.utl.X: ${SDIR}.utils.s.X
         dir ${SDIR}.utils
+        EnsureDepends Depends
         @amu_machine utl.X
         @up
         @up
@@ -502,4 +523,4 @@ bbe-internet--BareMinUtils:
         BBE_Export_File_In_Dir Resources !Boot
 
 #---------------------------------------------------------------------------
-# Dynamic dependencies:
+include Depends
-- 
1.8.4.rc3

